package com.cf.cs.authentication.configure;

import com.cf.cs.authentication.pojo.po.UrlFilterItem;
import jakarta.annotation.PostConstruct;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * The type User security configure.
 *
 * @author xajhuang @163.com
 */
@Configuration
@ConfigurationProperties(prefix = "security.ui")
@Data
@Slf4j
public class UserSecurityConfigure {
    private List<UrlFilterItem> whiteList;

    @PostConstruct
    private void initGlobalValue() {
        log.info("Current: writeList = [{}]", whiteList);
    }
}
