package com.cf.cs.authentication;

import com.cf.cs.authentication.configure.SecuritySecurity;
import com.cf.cs.authentication.configure.UserSecurityConfigure;
import com.cf.cs.base.config.CacheConfigure;
import com.cf.cs.base.config.CommonConfigure;
import com.cf.cs.database.config.MybatisFlexConfigure;
import com.cf.cs.protocol.config.ProtocolConfigure;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.ContextConfiguration;

/**
 * The type Cs authentication application tests.
 *
 * @author xajhuang @163.com
 */
@SpringBootTest(classes = {CsAuthenticationApplication.class})
@ActiveProfiles({"user", "test"})
@ContextConfiguration(classes = {CacheConfigure.class, CommonConfigure.class, MybatisFlexConfigure.class,
                                 UserSecurityConfigure.class, SecuritySecurity.class, ProtocolConfigure.class})
class CsAuthenticationApplicationTests {

    /**
     * Context loads.
     */
    @Test
    void contextLoads() {
        Assertions.assertNotNull(this.getClass());
    }
}
