package com.cf.cs.base.common;


import lombok.Getter;

/**
 * The enum Cache pool.
 *
 * @author xajhuang @163.com
 */
@Getter
public enum CachePool {
    /**
     * Auth cache pool.
     */
    AUTH_CACHE("AUTH_CACHE", 1800, 1000, 100),
    /**
     * Jwt cache cache pool.
     */
    JWT_CACHE("JWT_CACHE", 3600, 2000, 200);

    private final String  cacheName;
    private final Integer defaultTimeout;
    private final Integer maxPoolSize;
    private final Integer defaultPoolSize;

    CachePool(String authCache, int timeout, int maxSize, int defSize) {
        this.cacheName       = authCache;
        this.defaultTimeout  = timeout;
        this.maxPoolSize     = maxSize;
        this.defaultPoolSize = defSize;
    }
}
