package com.cf.cs.base.common;

import com.houkunlin.system.dict.starter.DictEnum;
import com.houkunlin.system.dict.starter.json.DictType;

/**
 * The enum Common status.
 *
 * @author xajhuang @163.com
 */
@DictType(value = "CommonStatus", comment = "系统常用状态码")
public enum CommonStatus implements BaseEnum, DictEnum<Integer> {
    /**
     * Normal common status.
     */
    NORMAL(0, "正常"),
    /**
     * Locked common status.
     */
    LOCKED(1, "已锁定"),
    /**
     * Disabled common status.
     */
    DISABLED(2, "已禁用"),
    /**
     * Deleted common status.
     */
    DELETED(3, "已删除");

    private final Integer code;
    private final String  readme;

    CommonStatus(int code, String readme) {
        this.code   = code;
        this.readme = readme;
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getTitle() {
        return this.readme;
    }

    @Override
    public String getDescription() {
        return this.readme;
    }
}
