package com.cf.cs.base.common;

import com.houkunlin.system.dict.starter.DictEnum;
import com.houkunlin.system.dict.starter.json.DictType;

/**
 * The enum Proto crypto type.
 *
 * @author xajhuang @163.com
 */
@DictType(value = "ProtoCryptoType", comment = "协议加密类型")
public enum ProtoCryptoType implements BaseEnum, DictEnum<Integer> {
    /**
     * Crypto none proto crypto type.
     */
    CRYPTO_NONE(0, "不加密"),
    /**
     * Crypto base 64 proto crypto type.
     */
    CRYPTO_BASE64(1, "Base64编码"),
    /**
     * Crypto aes 128 proto crypto type.
     */
    CRYPTO_AES128(2, "AES128加密"),
    /**
     * Crypto des proto crypto type.
     */
    CRYPTO_DES(3, "DES对称加密"),
    /**
     * Crypto aes 256 proto crypto type.
     */
    CRYPTO_AES256(4, "AES256加密"),
    ;

    private final int    code;
    private final String readme;

    ProtoCryptoType(int code, String readme) {
        this.code   = code;
        this.readme = readme;
    }

    /**
     * Gets string value.
     *
     * @return the string value
     */
    public String getStringValue() {
        return this.name();
    }

    @Override
    public Integer getValue() {
        return this.code;
    }

    @Override
    public String getTitle() {
        return this.readme;
    }

    @Override
    public String getDescription() {
        return this.readme;
    }
}
