package com.cf.cs.base.config;

import jakarta.annotation.PostConstruct;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.Optional;

/**
 * The type Jwt configure.
 *
 * @author xajhuang @163.com
 */
@Configuration
@ConfigurationProperties(prefix = "jwt")
@Slf4j
@Data
public class JwtConfigure {
    private String secretKey;
    private Long   expireTime;
    private String httpHead;

    @PostConstruct
    private void initGlobalValue() {
        log.info("Current: secretKey = {}, httpHead = {}, expireTime = {}", secretKey, httpHead, expireTime);

        secretKey  = Optional.ofNullable(secretKey).orElse("");
        httpHead   = Optional.ofNullable(httpHead).orElse("Authorization");
        expireTime = Optional.ofNullable(expireTime).orElse((long) (7 * 24 * 3600));
    }
}
