package com.cf.cs.base.config;

import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.Setter;
import org.jetbrains.annotations.NotNull;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * The type Object mapper provider.
 *
 * @author xajhuang @163.com
 */
@Component
public class ObjectMapperProvider implements ApplicationContextAware {
    @Setter
    private static ApplicationContext context;

    @Override
    public void setApplicationContext(@NotNull ApplicationContext applicationContext) {
        setContext(applicationContext);
    }

    /**
     * Gets mapper.
     *
     * @return the mapper
     */
    public static ObjectMapper getMapper() {
        return context.getBean(ObjectMapper.class);
    }
}
