package com.cf.cs.base.exception;

import com.cf.cs.base.common.ErrorCode;

/**
 * The type Common error code exception.
 *
 * @author xajhuang @163.com
 */
@SuppressWarnings("java:S1068")
public class CommonErrorCodeException extends RuntimeException{
    private final ErrorCode err;

    private final String[] description;

    /**
     * Instantiates a new Common error code exception.
     *
     * @param err to err
     */
    public CommonErrorCodeException(ErrorCode err) {
        super(err.getDescription());
        this.err         = err;
        this.description = new String[] {err.getDescription()};
    }

    /**
     * Instantiates a new Common error code exception.
     *
     * @param err    to err
     * @param readme the readme
     */
    public CommonErrorCodeException(ErrorCode err, String readme) {
        super(readme);
        this.err         = err;
        this.description = new String[] {readme};
    }

    /**
     * Instantiates a new Common error code exception.
     *
     * @param err    to err
     * @param readme the readme
     */
    public CommonErrorCodeException(ErrorCode err, String[] readme) {
        super(err.getDescription());
        this.err         = err;
        this.description = readme;
    }
}
