package com.cf.cs.database.pojo.entity;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

/**
 * 字典数据表 实体类。
 *
 * @author mybatis -flex-helper automatic generation
 * @since 1.0
 */
@Data
@Schema(name = "字典数据表")
@Table(value = "sys_dict_data")
@AllArgsConstructor
@NoArgsConstructor
public class DictData {

    /**
     * 字典编码
     */
    @Schema(description = "字典编码")
    @Id(keyType = KeyType.Auto)
    private Long id;

    /**
     * 字典排序
     */
    @Schema(description = "字典排序")
    @Column(value = "dict_sort")
    private Integer dictSort;

    /**
     * 字典标签
     */
    @Schema(description = "字典标签")
    @Column(value = "dict_label")
    private String dictLabel;

    /**
     * 字典键值
     */
    @Schema(description = "字典键值")
    @Column(value = "dict_value")
    private Integer dictValue;

    /**
     * 字典类型
     */
    @Schema(description = "字典类型")
    @Column(value = "type_id")
    private Long typeId;

    /**
     * 样式属性（其他样式扩展）
     */
    @Schema(description = "样式属性（其他样式扩展）")
    @Column(value = "css_class")
    private String cssClass;

    /**
     * 表格回显样式
     */
    @Schema(description = "表格回显样式")
    @Column(value = "list_class")
    private String listClass;

    /**
     * 是否默认（Y是 N否）
     */
    @Schema(description = "是否默认（Y是 N否）")
    @Column(value = "is_default")
    private String isDefault;

    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time")
    private Timestamp createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time")
    private Timestamp updateTime;

    /**
     * 备注
     */
    @Schema(description = "备注")
    @Column(value = "remark")
    private String remark;

    @Schema(description = "逻辑删除标记")
    @Column(value = "delete_time", isLogicDelete = true)
    private Timestamp deleteTime;
}
