package com.cf.cs.database.pojo.entity;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.sql.Timestamp;

/**
 * 用户认证(UserCredential)表实体类
 *
 * @author makejava @163.com
 * @since 2023 -12-19 15:14:43
 */
@Data
@Schema(name = "UserCredential", description = "用户认证")
@Table("rbac_user_credential")
public class UserCredential {
    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Auto)
    private Long      id;
    /**
     * 用户密码
     */
    @Schema(description = "用户密码")
    @Column(value = "credential")
    private String    credential;
    /**
     * 用户标识
     */
    @Schema(description = "用户标识")
    @Column(value = "identifier")
    private String    identifier;
    /**
     * 登录类型
     */
    @Schema(description = "登录类型")
    @Column(value = "identity_type")
    private Integer   identityType;
    /**
     * 用户id
     */
    @Schema(description = "用户id")
    @Column(value = "user_id")
    private Long      userId;
    /**
     * 当前状态(CommonStatus):0-->正常，1-->锁定，2-->禁用,3-->删除
     */
    @Schema(description = "当前状态(CommonStatus):0-->正常，1-->锁定，2-->禁用,3-->删除")
    @Column(value = "state")
    private Integer   state;
    /**
     * 密码错误次数
     */
    @Schema(description = "密码错误次数")
    @Column(value = "error_cnt")
    private Integer   errorCnt;
    /**
     * 账户锁定时间
     */
    @Schema(description = "账户锁定时间")
    @Column(value = "lock_at")
    private Timestamp lockAt;

    @Schema(description = "逻辑删除标记")
    @Column(value = "delete_time", isLogicDelete = true)
    private Timestamp deleteTime;
}

