package com.cf.cs.database.pojo.po;

import com.houkunlin.system.dict.starter.json.DictText;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * The type Res perm info.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "资源权限信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ResPermInfo {
    @Schema(description = "资源id")
    private Long id;

    @Schema(description = "资源路径")
    private String path;

    @Schema(description = "资源名称")
    private String name;

    @Schema(description = "资源 HTTP 请求类型")
    private String httpMethod;

    @Schema(description = "资源类型 ID")
    @DictText(value = "sys_res_type", fieldName = "resTypeName")
    private Integer resTypeId;

    @Schema(description = "是否具有访问权限")
    private Boolean enable;
}
