package com.cf.cs.database.pojo.po;

import com.cf.cs.database.pojo.entity.DictData;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;
import java.util.List;

/**
 * The type User dictionary.
 *
 * @author xajhuang @163.com
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserDictionary {
    @JsonProperty("dictAlias")
    private String dictName;
    @JsonProperty("dictName")
    private String dictType;
    @JsonProperty("dictStatus")
    private String status;
    private String createBy;
    private Timestamp createTime;
    private String updateBy;
    private Timestamp updateTime;
    @JsonProperty("dictRemark")
    private String remark;
    /**
     * The Dict data list.
     */
    List<DictData> dictDataList;
}
