package com.cf.cs.protocol.exception;

import com.cf.cs.base.common.ErrorCode;
import lombok.Getter;
import lombok.Setter;

/**
 * The type Security protocol exception.
 *
 * @author xajhuang @163.com
 */
@Getter
@Setter
public class SecurityProtocolException extends RuntimeException {
    private final ErrorCode err;

    private final String description;

    /**
     * Instantiates a new Security protocol exception.
     *
     * @param err the err
     */
    public SecurityProtocolException(ErrorCode err) {
        super(err.getDescription());
        this.err         = err;
        this.description = err.getDescription();
    }

    /**
     * Instantiates a new Security protocol exception.
     *
     * @param err    the err
     * @param readme the readme
     */
    public SecurityProtocolException(ErrorCode err, String readme) {
        super(readme);
        this.err         = err;
        this.description = readme;
    }
}
