package com.cf.cs.protocol.pojo.dto;

import com.cf.cs.protocol.validation.group.ValidGroups;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type Dict content req.
 *
 * @author xajhuang @163.com
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "DictContentReq", description = "枚举字典详细请求参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DictContentReq {
    @Schema(description = "字典名")
    @NotNull(message = "dictTpe 字典名称不能为NULL", groups = ValidGroups.DictReqValid.class)
    @Size(min = 1, max = 100, message = "dictTpe 单次查询字典名称条数为 [1, 100]", groups = ValidGroups.DictReqValid.class)
    private List<@NotBlank(message = "dictTpe 字典名称不能为空", groups = ValidGroups.DictReqValid.class) String> dictTpe;
}
