package com.cf.cs.protocol.pojo.dto;

import com.cf.cs.protocol.validation.group.ValidGroups;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * The type New user dict req.
 *
 * @author xajhuang @163.com
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@Schema(name = "NewUserDictReq", description = "新增用户字典请求参数")
public class NewUserDictReq {
    @Schema(description = "字典名，用于标识各个不同的字典")
    @NotEmpty(message = "dictName 字典类别不能为空", groups = ValidGroups.DictReqValid.class)
    private String dictName;

    @Schema(description = "字典别名，用于显示字典别名")
    @NotNull(message = "dictAlias 字典类别不能为NULL", groups = ValidGroups.DictReqValid.class)
    private String dictAlias;

    @Schema(description = "字典备注信息")
    @NotNull(message = "dictRemark 字典类别不能为NULL", groups = ValidGroups.DictReqValid.class)
    private String dictRemark;
}
