package com.cf.cs.protocol.pojo.dto;

import com.cf.cs.protocol.pojo.po.ResourceInfo;
import com.cf.cs.protocol.validation.group.ValidGroups;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type Register resource req.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "添加资源请求")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RegisterResourceReq {
    /**
     * The Resources.
     */
    @Schema(description = "需要添加的资源")
    @NotNull(message = "resources 资源不能为NULL", groups = ValidGroups.ResourceReqValid.class)
    @Size(min = 1, max = 100, message = "resources 单次添加资源条数为 [1, 100]", groups = ValidGroups.ResourceReqValid.class)
    List<@Valid ResourceInfo> resources;
}
