package com.cf.cs.protocol.pojo.po;

import com.cf.cs.protocol.validation.group.ValidGroups;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

/**
 * The type Dict details.
 *
 * @author xajhuang @163.com
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonPropertyOrder({"id", "title", "value", "sorted", "cssClass", "listClass", "isDefault", "remark", "disabled"})
@JsonIgnoreProperties(value = {"id", "disabled", "createBy", "createTime", "upgradeBy", "upgradeTime"}, allowGetters = true)
public class DictDetails {
    private Long    id;
    private Boolean disabled;
    private String createBy;
    private Timestamp createTime;
    private String upgradeBy;
    private Timestamp upgradeTime;

    @NotBlank(message = "title 字典内容不能为空", groups = ValidGroups.DictReqContentValid.class)
    private String  title;
    @NotNull(message = "value 字典内容值不能为 NULL", groups = ValidGroups.DictReqContentValid.class)
    private Integer value;
    private Integer sorted;
    private String  cssClass;
    private String  listClass;
    private Boolean isDefault;
    private String remark;
}
