package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * The type Logout resp.
 *
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({"username", "status", "message"})
public class LogoutResp extends BaseRespStatus {
    private String username;

    /**
     * Instantiates a new Logout resp.
     *
     * @param username the username
     * @param status   the status
     * @param message  the message
     */
    @Builder
    public LogoutResp(String username, Integer status, String[] message) {
        super(status, message);
        this.username = username;
    }
}
