package com.cf.cs.protocol.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.sql.Timestamp;

/**
 * The type Opt log summary resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "系统操作日志摘要数据")
@Data
public class OptLogSummaryResp {
    @Schema(description = "id")
    private Long id;

    @Schema(description = "操作模块")
    private String module;

    @Schema(description = "操作类型")
    private String operationType;

    @Schema(description = "操作状态")
    private String operationStatus;

    @Schema(description = "操作说明")
    private String description;

    @Schema(description = "请求来源 IP 地址")
    private String requestIp;

    @Schema(description = "请求接口")
    private String callFunction;

    @Schema(description = "HTTP 请求类型")
    private String httpMethod;

    @Schema(description = "请求URI")
    private String httpPath;

    @Schema(description = "操作用户id")
    private Long userId;

    @Schema(description = "响应时间(ms)")
    private Long expendTime;

    @Schema(description = "传输延时(ms)")
    private Long transmitDelay;

    @Schema(description = "操作时间")
    private Timestamp operationTime;
}
