package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.database.pojo.po.ResPermInfo;
import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * The type User res perm info resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "用户资源权限")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({"userId", "username", "resPermission", "status", "message"})
public class UserResPermInfoResp extends BaseRespStatus {
    private String            userId;
    private String            username;
    private List<ResPermInfo> resPermission;
}
