package com.cf.cs.protocol.validation.group;

/**
 * The interface Valid groups.
 *
 * @author xajhuang @163.com
 */
public interface ValidGroups {

    /**
     * The interface Protocol common valid.
     *
     * @author xajhuang @163.com
     */
    interface ProtocolCommonValid {
    }

    /**
     * The interface Base protocol valid.
     *
     * @author xajhuang @163.com
     */
    interface BaseProtocolValid extends ProtocolCommonValid {
    }

    /**
     * The interface Base paged req valid.
     *
     * @author xajhuang @163.com
     */
    interface BasePagedReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Login req valid.
     *
     * @author xajhuang @163.com
     */
    interface LoginReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Logout req valid.
     *
     * @author <huangxin@cmhi.chinamoblie.com>
     */
    interface LogoutReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Operation log req valid.
     *
     * @author xajhuang @163.com
     */
    interface OperationLogReqValid extends BaseProtocolValid {
    }

    /**
     * The interface User id req valid.
     *
     * @author xajhuang @163.com
     */
    interface UserIdReqValid extends BaseProtocolValid {
    }

    /**
     * The interface User req valid.
     *
     * @author xajhuang @163.com
     */
    interface UserReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Resource req valid.
     *
     * @author xajhuang @163.com
     */
    interface ResourceReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Resource info valid.
     *
     * @author xajhuang @163.com
     */
    interface ResourceInfoValid extends BaseProtocolValid {
    }

    /**
     * The interface Dict req valid.
     *
     * @author xajhuang @163.com
     */
    interface DictReqValid extends BaseProtocolValid {
    }

    /**
     * The interface Dict req content valid.
     *
     * @author xajhuang @163.com
     */
    interface DictReqContentValid extends BaseProtocolValid {
    }
}
