package com.cf.cs.protocol.validation.valids;

import com.cf.cs.protocol.validation.valids.impl.ValidProtocolTimestampImpl;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * The interface Valid protocol timestamp.
 *
 * @author xajhuang @163.com
 */
@Target({ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {ValidProtocolTimestampImpl.class})
public @interface ValidProtocolTimestamp {
    /**
     * Message string.
     *
     * @return the string
     */
    String message();

    /**
     * Groups class [ ].
     *
     * @return the class [ ]
     */
    Class<?>[] groups() default {};

    /**
     * Payload class [ ].
     *
     * @return the class [ ]
     */
    Class<? extends Payload>[] payload() default {};
}
