package com.cf.cs.restful.service;


import com.cf.cs.base.pojo.po.PageResults;
import com.cf.cs.protocol.pojo.po.OptLogDetails;
import com.cf.cs.protocol.pojo.vo.OptLogSummaryResp;

import java.util.List;

/**
 * The interface Operation log service.
 *
 * @author xajhuang @163.com
 */
public interface OperationLogService {
    /**
     * Gets operation log summary.
     *
     * @param pageNumber the page number
     * @param pageSize   the page size
     * @param totalSize  the total size
     * @param userName   the username
     * @return the operation log summary
     */
    PageResults<OptLogSummaryResp> getOperationLogSummary(Long pageNumber, Long pageSize, Long totalSize, List<String> userName);

    /**
     * Gets operation log details.
     *
     * @param optLogIds the opt log ids
     * @return the operation log details
     */
    List<OptLogDetails> getOperationLogDetails(List<Long> optLogIds);
}
