package com.cf.cs.restful.service;

import com.cf.cs.database.pojo.entity.Role;
import com.cf.cs.protocol.pojo.po.ResOperationStatus;
import com.cf.cs.protocol.pojo.po.ResourceInfo;

import java.util.List;

/**
 * The interface User permission service.
 *
 * @author xajhuang @163.com
 */
public interface UserPermissionService {

    /**
     * Gets all user group.
     *
     * @return the all user group
     */
    List<Role> getAllUserGroup();

    /**
     * Register resource list.
     *
     * @param resources the resources
     * @return the list
     */
    List<ResOperationStatus> registerResource(List<ResourceInfo> resources);

    /**
     * Remove resource by uid list.
     *
     * @param ids the ids
     * @return the list
     */
    List<ResOperationStatus> removeResourceByUid(List<String> ids);
}
